# Uses of Interface
org.eclipse.microprofile.openapi.models.parameters.Parameter

Packages that use Parameter
Package
Description
org.eclipse.microprofile.openapi
A set of Java interfaces, annotations and programming models which allow Java developers to natively produce OpenAPI v3 documents from their JAX-RS applications.
org.eclipse.microprofile.openapi.models
A set of interfaces for programmable models and their helper classes, many derived from Swagger Core library.
org.eclipse.microprofile.openapi.models.parameters
A set of model interfaces to describe operation parameters and operation's request body.

## Uses of Parameter in org.eclipse.microprofile.openapi

Methods in org.eclipse.microprofile.openapi that return Parameter
Modifier and Type
Method
Description
`static Parameter`
OASFactory.`createParameter()`
This method creates a new `Parameter` instance.
`default Parameter`
OASFilter.`filterParameter(Parameter parameter)`
Allows filtering of a particular Parameter.
Methods in org.eclipse.microprofile.openapi with parameters of type Parameter
Modifier and Type
Method
Description
`default Parameter`
OASFilter.`filterParameter(Parameter parameter)`
Allows filtering of a particular Parameter.

## Uses of Parameter in org.eclipse.microprofile.openapi.models

Methods in org.eclipse.microprofile.openapi.models that return types with arguments of type Parameter
Modifier and Type
Method
Description
`Map<String,Parameter>`
Components.`getParameters()`
Returns the parameters property from a Components instance.
`List<Parameter>`
Operation.`getParameters()`
Returns the parameters property from an Operation instance.
`List<Parameter>`
PathItem.`getParameters()`
Returns the parameters property from this PathItem instance.
Methods in org.eclipse.microprofile.openapi.models with parameters of type Parameter
Modifier and Type
Method
Description
`Components`
Components.`addParameter(String key, Parameter parameter)`
Adds the given parameter to this Components' map of parameters with the given string as its key.
`Operation`
Operation.`addParameter(Parameter parameter)`
Adds the given parameter item to this Operation's list of parameters.
`PathItem`
PathItem.`addParameter(Parameter parameter)`
Adds the given parameter to this PathItem's list of parameters.
`void`
Operation.`removeParameter(Parameter parameter)`
Removes the given parameter item to this Operation's list of parameters.
`void`
PathItem.`removeParameter(Parameter parameter)`
Removes the given parameter to this PathItem's list of parameters.
Method parameters in org.eclipse.microprofile.openapi.models with type arguments of type Parameter
Modifier and Type
Method
Description
`default Components`
Components.`parameters(Map<String,Parameter> parameters)`
Sets this Components' parameters property to the given Map containing keys and reusable parameter objects.
`default Operation`
Operation.`parameters(List<Parameter> parameters)`
Sets this Operation's parameters property to the given parameter list.
`default PathItem`
PathItem.`parameters(List<Parameter> parameters)`
Sets this PathItem's parameters property to the given list.
`void`
Components.`setParameters(Map<String,Parameter> parameters)`
Sets this Components' parameters property to the given Map containing keys and reusable parameter objects.
`void`
Operation.`setParameters(List<Parameter> parameters)`
Sets this Operation's parameters property to the given parameter list.
`void`
PathItem.`setParameters(List<Parameter> parameters)`
Sets this PathItem's parameters property to the given list.

## Uses of Parameter in org.eclipse.microprofile.openapi.models.parameters

Methods in org.eclipse.microprofile.openapi.models.parameters that return Parameter
Modifier and Type
Method
Description
`Parameter`
Parameter.`addExample(String key, Example example)`
Adds an example of the parameter using the specified key.
`default Parameter`
Parameter.`allowEmptyValue(Boolean allowEmptyValue)`
Sets the allowEmptyValue property of a Parameter instance to the given value.
`default Parameter`
Parameter.`allowReserved(Boolean allowReserved)`
Sets the allowReserved property of a Parameter instance to the given value.
`default Parameter`
Parameter.`content(Content content)`
Sets the content property of a Parameter instance to the given object.
`default Parameter`
Parameter.`deprecated(Boolean deprecated)`
Sets the deprecated property of a Parameter instance to the given value.
`default Parameter`
Parameter.`description(String description)`
Sets the description property of a Parameter instance to the given string.
`default Parameter`
Parameter.`example(Object example)`
Sets the example property of a Parameter instance to the given object.
`default Parameter`
Parameter.`examples(Map<String,Example> examples)`
Sets the examples property of a Parameter instance to the given value.
`default Parameter`
Parameter.`explode(Boolean explode)`
Sets the explode property of a Parameter instance to the given value.
`default Parameter`
Parameter.`in(Parameter.In in)`
Sets the in property of a Parameter instance to the given value.
`default Parameter`
Parameter.`name(String name)`
Sets the name property of a Parameter instance to the given string.
`default Parameter`
Parameter.`required(Boolean required)`
Sets the required property of a Parameter instance to the given value.
`default Parameter`
Parameter.`schema(Schema schema)`
Sets the schema property of a Parameter instance to the given value.
`default Parameter`
Parameter.`style(Parameter.Style style)`
Sets the style property of a Parameter instance to the given value.